[Bug 572233] Review Request: compat-tracker - Compatibilty libraries and tools for tracker-0.6.x

bugzilla at redhat.com bugzilla at redhat.com
Wed Apr 28 08:01:14 UTC 2010


Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug.


https://bugzilla.redhat.com/show_bug.cgi?id=572233

--- Comment #45 from Hicham HAOUARI <hicham.haouari at gmail.com> 2010-04-28 04:01:11 EDT ---
(In reply to comment #42)
> Then this package should never have passed review!
> 

I was fundamentally against this package at first, but since it seems that
Fesco insisted on ABI compatibility ( for a single package which is dead
upstream ), instead of taking a brave action and drop paperbox, I had no choice
but help introducing it.

> It is completely unacceptable for a compatibility package to conflict with the
> main version. (Conflicts in -devel are tolerated for compat packages, but this
> is about a runtime conflict.) It means you cannot use paperbox if you use
> anything which requires the current tracker and pretty much defeats the point
> of having this compat package at all.

I agree on this point, but having two indexers running will bring most machines
to their knees as mentioned earlier, in fact only one tracker is eating enough
of my cpu. 
> 
> > I've made this to explicitly 'Conflicts' with the actual/latest tracker
> > package. As a result of this, I've re-added some files that were not package
> > earlier to prevent simultaneous installation conflict with tracker.
> 
> That's not a proper solution, sorry.    
There is still room for improvement if you have a better solution, a package
that passed review doesn't mean it is perfect.

-- 
Configure bugmail: https://bugzilla.redhat.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.



More information about the package-review mailing list